Bug 1498587

Summary: SELinux is preventing pppd from 'map' accesses on the file /run/ppp/pppd2.tdb.
Product: [Fedora] Fedora Reporter: Berend De Schouwer <berend.de.schouwer>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dwalsh, lsm5, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:a0c47de776912c82ccde797c988f12e15d01a7a6cc1d4958782dd1b0da591360;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.13.1-283.14.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-31 15:35:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Berend De Schouwer 2017-10-04 16:55:04 UTC
Description of problem:
start a fortisslvpn.  when the ssl part completes, it starts pppd.

this worked in f26.
SELinux is preventing pppd from 'map' accesses on the file /run/ppp/pppd2.tdb.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pppd should be allowed map access on the pppd2.tdb file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pppd' --raw | audit2allow -M my-pppd
# semodule -X 300 -i my-pppd.pp

Additional Information:
Source Context                system_u:system_r:pppd_t:s0
Target Context                system_u:object_r:pppd_var_run_t:s0
Target Objects                /run/ppp/pppd2.tdb [ file ]
Source                        pppd
Source Path                   pppd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.5.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.4-300.fc27.x86_64 #1 SMP Thu
                              Sep 28 17:02:21 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-10-04 18:51:09 SAST
Last Seen                     2017-10-04 18:51:09 SAST
Local ID                      d698ba2d-f3f3-4fb3-9825-66e8828571c1

Raw Audit Messages
type=AVC msg=audit(1507135869.911:371): avc:  denied  { map } for  pid=8552 comm="pppd" path="/run/ppp/pppd2.tdb" dev="tmpfs" ino=340119 scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:object_r:pppd_var_run_t:s0 tclass=file permissive=0


Hash: pppd,pppd_t,pppd_var_run_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.5.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.4-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2017-10-25 10:13:24 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 2 Fedora Update System 2017-10-27 18:45:54 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-31 15:35:55 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.